Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-5051

install.rb should support installations where facter/hiera may not be present

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 4.2.2
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      2
    • Sprint:
      RE 2015-08-26
    • Release Notes:
      Not Needed
    • Release Notes Summary:
      Minor functionality that regular users likely wouldn't care about.

      Description

      There are often cases where it is desirable to build puppet without having facter or hiera in place, while still ensuring that they will be in place at runtime.

      This comes into play in a cross-compile situation where the ruby being used to install may not be the ruby that will run puppet and also in the situation where native facter hasn't been compiled yet.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              matthaus Past Haus
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support